﻿////mr-bundler-ignore
var SiteLang = undefined;
function MrStartUI() {
  MrMUISecoundryColor = '#1762B8';
  MrMUIPrimaryColor = '#F5F5F5' ;  
  MrAudCid = 20;
  MrMUIToolWidth = "33vw";
  MrMUIToolMinWidth = "450px";
  MrAudcommonSelectors+=',span';
  MrInvertBackgroundColor = "transparent";
  
  MrCID = 119;
  if (SiteLang == undefined || SiteLang == null) {
    MrArabicUIisOn =
      document.getElementsByTagName("html")[0].getAttribute("lang") == "ar" ||
      window.location.href
        .toString()
        .toLowerCase()
        .indexOf("/ar/".toLowerCase()) > -1;
  } else {
    MrArabicUIisOn = SiteLang;
  }
  MrArabicFlag = "uae";

  MRUAPPrepareUI(
    [
      "MrText2Speech",
      "MrControl_Page_contrast",
      "MrCursor_Helpers",
      "MrChangefont",
      "MrPage_saturation_control",
      "MrWords_Spacing",
      "MrLine_Spacing",
      "MrEnlarge_Fonts",
      "MrHighlight_Links",
      "MrAnimation",
      "MrText_Alignments",
      "MrPage_Structure",
    ],
    {
     
      MrVisuallyImpaired: [
        { MrEnlarge_Fonts: 0 },
        { MrAnimation: 0 },
        { MrCursor_Helpers: 0 },
        { MrPage_saturation_control: 1 },
        { MrChangefont: 1 },
      ],
      Mrdyslexia: [{ MrAnimation: 0 }, { MrChangefont: 0 }],
      MrADHD: [
        { MrAnimation: 0 },
        { MrCursor_Helpers: 2 },
        { MrPage_saturation_control: 0 },
      ],
      MrSeizureAndEpilepsy: [
        { MrAnimation: 0 },
        { MrPage_saturation_control: 0 },
      ],
      MrColor_Blind: [
        { MrPage_saturation_control: 1 },
        { MrControl_Page_contrast: 0 },
      ],
      Mrcognitive_education: [
        { MrAnimation: 0 },
        { MrCursor_Helpers: 3 },
        { MrEnlarge_Fonts: 0 },
      ],
      MrImpaired_mobility: [{ MrAnimation: 0 }, { MrEnlarge_Fonts: 0 }],
    }
  );

  var MrIconMessage = undefined;
  if (MrArabicUIisOn) {
    MrIconMessage = "مساعدة في استخدام الموقع";
    jQuery("[mrtitleen='Arabic']").addClass("MrMUIActivated");
    jQuery("[mrtitleen='Arabic'] label").addClass("MrButtonActive");
  } else {
    MrIconMessage = "Assist using site";
    jQuery("[mrtitleen='English']").addClass("MrMUIActivated");
    jQuery("[mrtitleen='English'] label").addClass("MrButtonActive");
  }
  MrGotoArabicVersion = function () {
     try{
        document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
        document.getElementById(':1.container').contentWindow.document.getElementById(':1.close').click();
      }catch(err){
        
      }
    if (!MrArabicUIisOn) {
     window.location.href =jQuery('.lang_switch').attr('href');
      MrUPChangeToolLangToAR();
    }
  };
  MrGotoEnglishVersion = function () {
     try{
        document.getElementById(':1.container').contentWindow.document.getElementById(':1.restore').click();
        document.getElementById(':1.container').contentWindow.document.getElementById(':1.close').click();
      }catch(err){
        
      }
    if (MrArabicUIisOn) {
     window.location.href =jQuery('.lang_switch').attr('href');
      MrUPChangeToolLAngToEN();
    }
  };
  var leftOrRight = "left";
  if(!MrArabicUIisOn){
    leftOrRight = "right";
     MrUAPLeftRightAssistTool();
     MrUAPAddStyle(".MrTabsLabel {margin-bottom: -2px; }","mr-ui-fix");
  }else{
     MrUAPAddStyle("#MrMUiUL {margin-top: 10px; direction: rtl;} .MrTabsLabel { margin-left: 0vw;margin-right : 1vw;margin-bottom: -2px; }" , "mr-ui-fix");
  }
  var MrIconToAdd =
    '<div id="MrAccessInHand" title="' +
    MrIconMessage +
    '"><img src="https://cdn.mindrocketsapis.com/client/imgs/png/accessability.png" width="50" alt="' +
    MrIconMessage +
    '"></div>';
  MrUAPAddStyle(
    "#MrAccessInHand:hover { filter: brightness(1.3);} #MrAccessInHand {z-index: 1;cursor:pointer; position: fixed; bottom: 130px; "+leftOrRight+": 9px; background-color: " +
    MrMUISecoundryColor +
    "; border-radius: 50%;width:60px;height:60px;text-align:center } #MrAccessInHand img{filter:" +
    MrUtilHexToFilter(MrMUIWhite) +
    ";margin-top:5px;width:48px}",
    "MrbuttonCSS"
  );
  jQuery("body").append(MrIconToAdd);

  jQuery("#MrAccessInHand").click(function () {
    MrToolCheckLicense(); 
    MrUAPShowAssistiveTool();
    MrMUIGetGoogleTranslationValues(2);
  });
  MrUAPPrepareMrOrgColor();
  MrMUIActivateShotcuts();
 
 MrUAPAddStyle(
    "@media (max-width: 800px) {.MrT2SDiv{left:0px !important;transform: translate(0px, 0px) !important; }.mr-volume-slider-background {width:12vw !important; } .mr-material-icons { font-size: 25px !important; font-family: 'MrMaterial Icons';font-weight: normal;font-style: normal; }",
    "MrMUISmallScreenCSS"
  );

MrUAPAddStyle(" .mr-invert-bg { background-color: transparent !important;} .MrT2SDiv { left: 50%; transform: translate(-50%, -50%); } ", "MrAJuiFixs");
MrUAPAddStyle(".mrAudioDivRight { right: auto !important; }","Mrnoneright");
MrUAPAddStyle(".component-title .field--name-field-title.mr-light-contrast  { color: rgb(0, 0, 0) !important;  }     .component-title .field--name-field-title.mr-dark-contrast {color: rgb(80, 208, 160) !important; } ", "MrContrastFixs")
MrExcludedCSSElementsSelector = ".fa, .fab, .fad, .fal, .far, .fas";

  const feedbackContainer = document.getElementById("feedback-option-container");
  const elements = feedbackContainer.getElementsByTagName("*");

  for (let i = 0; i < elements.length; i++) {
    elements[i].classList.add("mr-tooltip-readSkip");
  }
}
////endmr-bundler-ignore
jQuery(document).ready(function () {
  setTimeout(function () {
    MrStartUI();
  }, 500);
 
});